package ecoparasite.input;

import static ecoparasite.input.InputFactory.*;
import static org.junit.jupiter.api.Assertions.assertArrayEquals;

import ecoparasite.input.InputFactory;
import ecoparasite.input.InputFileException;
import ecoparasite.input.RawData;
import org.junit.jupiter.api.Test;

class InputFactoryTest {

    @org.junit.jupiter.api.Test
    void buildDataPath() {

        String d = "data/Campagne/mackerel.97442.csv";
        String e = "data/Campagne/merlu2018_75164.csv";

        assertArrayEquals(d.toCharArray(), InputFactory.buildDataPath("Campagne/mackerel.97442.csv").toCharArray());
        assertArrayEquals(e.toCharArray(), InputFactory.buildDataPath("Campagne/merlu2018_75164.csv").toCharArray());

    }

    @org.junit.jupiter.api.Test
    void readData() throws InputFileException {
        RawData test = InputFactory.readData("testComplete.csv");

        System.out.println(test.getData());

    }

    @org.junit.jupiter.api.Test
    void testReadData() {
    }

}